Loading...
Searching...
No Matches
CglUniqueRowCuts Class Reference

`#include <CglPreProcess.hpp>`

Collaboration diagram for CglUniqueRowCuts:
[legend]

## Public Member Functions

| CglUniqueRowCuts (int initialMaxSize=0, int hashMultiplier=4)
| ~CglUniqueRowCuts ()
| CglUniqueRowCuts (const CglUniqueRowCuts &rhs)
CglUniqueRowCuts & | operator= (const CglUniqueRowCuts &rhs)
OsiRowCut * | cut (int sequence) const
int | numberCuts () const
int | sizeRowCuts () const
OsiRowCut * | rowCutPtr (int sequence)
void | eraseRowCut (int sequence)
void | insert (const OsiRowCut &cut)
int | insertIfNotDuplicate (const OsiRowCut &cut)
void | addCuts (OsiCuts &cs)

## Private Attributes

OsiRowCut ** | rowCut_
CglHashLink * | hash_
| Hash table.
int | size_
int | hashMultiplier_
int | numberCuts_
int | lastHash_

## Detailed Description

Definition at line 555 of file CglPreProcess.hpp.

## Constructor & Destructor Documentation

## CglUniqueRowCuts() [1/2]

CglUniqueRowCuts::CglUniqueRowCuts | ( | int | initialMaxSize = 0,
|  | int | hashMultiplier = 4 )

## ~CglUniqueRowCuts()

CglUniqueRowCuts::~CglUniqueRowCuts | ( |  | ) |

## CglUniqueRowCuts() [2/2]

CglUniqueRowCuts::CglUniqueRowCuts | ( | const CglUniqueRowCuts & | rhs | ) |

## Member Function Documentation

## operator=()

CglUniqueRowCuts & CglUniqueRowCuts::operator= | ( | const CglUniqueRowCuts & | rhs | ) |

## cut()

OsiRowCut * CglUniqueRowCuts::cut | ( | int | sequence | ) | const

inline

Definition at line 561 of file CglPreProcess.hpp.

## numberCuts()

int CglUniqueRowCuts::numberCuts | ( |  | ) | const

inline

Definition at line 565 of file CglPreProcess.hpp.

## sizeRowCuts()

int CglUniqueRowCuts::sizeRowCuts | ( |  | ) | const

inline

Definition at line 569 of file CglPreProcess.hpp.

## rowCutPtr()

OsiRowCut * CglUniqueRowCuts::rowCutPtr | ( | int | sequence | ) |

inline

Definition at line 573 of file CglPreProcess.hpp.

## eraseRowCut()

void CglUniqueRowCuts::eraseRowCut | ( | int | sequence | ) |

## insert()

void CglUniqueRowCuts::insert | ( | const OsiRowCut & | cut | ) |

inline

Definition at line 579 of file CglPreProcess.hpp.

## insertIfNotDuplicate()

int CglUniqueRowCuts::insertIfNotDuplicate | ( | const OsiRowCut & | cut | ) |

## addCuts()

void CglUniqueRowCuts::addCuts | ( | OsiCuts & | cs | ) |

## Member Data Documentation

## rowCut_

OsiRowCut** CglUniqueRowCuts::rowCut_

private

Definition at line 589 of file CglPreProcess.hpp.

## hash_

CglHashLink* CglUniqueRowCuts::hash_

private

Hash table.

Definition at line 591 of file CglPreProcess.hpp.

## size_

int CglUniqueRowCuts::size_

private

Definition at line 592 of file CglPreProcess.hpp.

## hashMultiplier_

int CglUniqueRowCuts::hashMultiplier_

private

Definition at line 593 of file CglPreProcess.hpp.

## numberCuts_

int CglUniqueRowCuts::numberCuts_

private

Definition at line 594 of file CglPreProcess.hpp.

## lastHash_

int CglUniqueRowCuts::lastHash_

private

Definition at line 595 of file CglPreProcess.hpp.

The documentation for this class was generated from the following file:

- Cgl/src/CglPreProcess/CglPreProcess.hpp